* -------------------------------------------------------/
* OPTISLANG PARAMETER SETTINGS                           /
* generated on:      Thu Dec 12 11:29:51 CET 2013 /
* optiSLang version: 3.2.0 /
* -------------------------------------------------------/

#krypto "C:\Program Files\optiSLang_3.2.0\bin\..\templates\NOA.cs"

#krypto "C:\Program Files\optiSLang_3.2.0\bin\..\templates\GA.cs"

#label initNOA

	int_def optiWorkflow       2	* 1: PSO  2: SDI  3: EA  4: GA /

	int_def PopSize           3
	int_def bStartPop         0

	int_def maxGnr                        100
	int_def minGnr                        100
	int_def stagnationGenerations         10
	real_def stagnationRatio              0.0

	int_def  nArchive    1

	real_def MutationRate     0.2
	*real_def MutGnr           0.3/

	int_def NOA_densityMethod          1	* 1: crowding distance, 2: cumulated distance/
	int_def NOA_UpdateArchiveMethod    3	* 1: dominance, 2: strength fitness, 3: penalty/
	int_def NOA_MutationMethod         3 	* 1: none, 2: normal distributed, 3: self adaptive, 4: constraint adaptive, 5: modulated adaptive, 6: singlepoint/

	realvec_def  MutStddevBegin   2  0.1  0.1
	realvec_def  MutStddevEnd     2  0.05  0.05

	int_def  allowViolatedDesigns   100

	int_def  bDontSolveViolated      0

	object operate, \or, bReplay 0, /
	object_docu bReplay

control return, , , /


#label initPSO

	object operate, \or, WorkFlow WF_PSO, /
	object_docu WorkFlow

	int_def   bLocalSearch            0
	real_def  InertiaWeightBegin      0.9
	real_def  InertiaWeightEnd        0.2
	real_def  AccCoeff_personalBegin  0.9
	real_def  AccCoeff_personalEnd    0.1
	real_def  AccCoeff_globalBegin    0.1
	real_def  AccCoeff_globalEnd      0.9

control return, , , /


#label initSDI

	object operate, \or, WorkFlow WF_SDI, /
	object_docu WorkFlow

	realvec_def SDI_startvector nOptiPar 
	  10


	real_def ContinuousSamplingBound   0.02
	int_def SDI_convergenceType        2 	* 1: Type 1, 2: Type 2/
	real_def SDI_convergenceScaling    0.0

control return, , , /


#label initEA

	object operate, \or, WorkFlow WF_EA, /
	object_docu WorkFlow

	int_def  AdaptionMethod   4 	* 1: copy, 2: singlepoint, 3: multipoint, 4: uniform, 5: arithmetic, 6: sbx /
	int_def  RankingMethod    1 	* 1: linear, 2: exponential, 3: pareto /
	int_def  SelectionMethod  2 	* 1: roulette, 2: stochastic, 3: tournament /

	int_def bWithReplacement  1

	real_def Cliff          50.0
	int_def  nParents         10
	int_def  TournamentSize   2
	int_def  nXoPoints1       0
	real_def XoverProb1       0.5
	real_def sbxDistr1        2.0

	int_def bParamFreeConstr 1

	int_def bHybridXover  0
	int_def  Xover2      6 	* 1: COPY 2: SINGLEPOINT 3: MULTIPOINT 4: UNIFORM 5: ARITHMETIC 6: SBX /
	int_def  nXoPoints2  0
	real_def XoverProb2  0.5
	real_def sbxDistr2   2.0

control return, , , /


#label initGA

	object operate, \or, WorkFlow WF_GA, /
	object_docu WorkFlow

	int_def   nElits         1
	int_def   nReplace       1

	real_def  SelPresElit  0.9
	real_def  XoverRate      0.5
	real_def  MutExp         1.0

	realvec_def  MutRate   3  0.1  0.15  0.1

	real_def  Cliff        50.0

control return, , , /
